No resource identifier found for attribute ‘requiredAccountType’ in package ‘android’

최근 테블릿에 추가된 제한된 프로파일(Restricted Profiles)라는 기능이 있다. 이를 위해 <application> 부분에 requiredAccountType 부분 설정을 추가한 후에 빌드하니 아래와 같은 에러가 뜬다.

Error:(27, -1) android-apt-compiler: [모듈 이름] /Users/sunphiz/workspace/[프로젝트 이름]/[모듈 이름]/AndroidManifest.xml:27: error: No resource identifier found for attribute 'requiredAccountType' in package 'android'

Manifest 파일에서 사용하고 있는 ‘android’라는 네임스페이스에 requiredAccountType에 대한 정보가 없다는 거다.  android-apt-compiler의 에러메시지가 좀 불친절해서 헷갈렸는데,  제한된 프로파일 기능은 Android API 18부터 추가되었기 때문에 Project Structure(프로젝트 선택 후 > F4)에서 Module SDK를 API 18로 수정하면 된다.

다시 빌드해보면 잘된다 🙂

참조

  • http://developer.android.com/guide/topics/manifest/application-element.html

댓글 남기기

이메일은 공개되지 않습니다.

이 사이트는 스팸을 줄이는 아키스밋을 사용합니다. 댓글이 어떻게 처리되는지 알아보십시오.